> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activities

> Get a list of activities

<Info>
  Requires permission **activity:report** to get high level data.<br />
  Requires permission **activity:read** to get detailed data.
</Info>

<Note>
  Read more about the [Activity](/docs/activity) data models.
</Note>


## OpenAPI

````yaml GET /v1/activity
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/activity:
    get:
      summary: Get high level activity data
      parameters:
        - $ref: '#/components/parameters/date'
        - $ref: '#/components/parameters/startDate'
        - $ref: '#/components/parameters/endDate'
        - $ref: '#/components/parameters/org'
        - $ref: '#/components/parameters/scope'
        - $ref: '#/components/parameters/taxonomy'
        - $ref: '#/components/parameters/list'
      responses:
        '200':
          description: A list of activities
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityResponse'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  parameters:
    date:
      name: date
      in: query
      description: Date to query (e.g. 2021-01-01, 2021-12, 2021)
      required: false
      schema:
        type: string
        example: 2021-01
    startDate:
      name: sd
      in: query
      description: Start date
      required: false
      schema:
        type: string
        example: '2021-01-01'
    endDate:
      name: ed
      in: query
      description: End date
      required: false
      schema:
        type: string
        example: '2021-01-31'
    org:
      name: org
      in: query
      description: The org UUID
      required: false
      schema:
        type: string
        example: aa17223a-471c-4eb7-9ff5-7800fd023960
    scope:
      name: scope
      in: query
      description: The scope UUID
      required: false
      schema:
        type: string
        example: aa17223a-471c-4eb7-9ff5-7800fd023960
    taxonomy:
      name: taxonomy
      in: query
      description: The taxonomy UUID
      required: false
      schema:
        type: string
        example: aa17223a-471c-4eb7-9ff5-7800fd023960
    list:
      name: list
      in: query
      description: List of Scope, Org, or Taxonomies used in the result set
      required: false
      schema:
        type: array
        items:
          type: string
          example: scopes,orgs,taxonomies
  schemas:
    ActivityResponse:
      type: object
      properties:
        count:
          type: integer
          example: 1500
        queryString:
          type: string
          description: The query string used to filter the activities
          example: date=2021-01
        startDate:
          type: string
          description: ISO 8601 date
          example: '2021-01-01T00:00:00.000Z'
        endDate:
          type: string
          description: ISO 8601 date
          example: '2021-01-31T23:59:59.000Z'
        CO2e:
          type: string
          description: >-
            The total CO2e of all activities categorized to a GHG Scope, in
            `CO2eUnit`
          example: '1234.5678'
        uncategorizedCO2e:
          type: string
          description: >-
            The total CO2e of all activities *not* categorized to a GHG Scope,
            in `CO2eUnit`
          example: '1.2345678'
        CO2eUnit:
          type: string
          description: The unit of CO2e. For example "kg"
          example: kg
        data:
          type: array
          items:
            $ref: '#/components/schemas/Activity'
        scopes:
          description: A list of GHG Scopes used in the result set
          type: array
          items:
            $ref: '#/components/schemas/Scope'
        orgs:
          description: A list of Orgs used in the result set
          type: array
          items:
            $ref: '#/components/schemas/Org'
        taxonomies:
          description: A list of Taxonomies used in the result set
          type: array
          items:
            $ref: '#/components/schemas/Taxonomy'
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
    Activity:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - $ref: '#/components/schemas/NewActivity'
        - type: object
          properties:
            CO2e:
              type: string
              example: '1234.5678'
    Scope:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: 'Scope 2: Electricity'
    Org:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: Org Unit
    Taxonomy:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: Electricity
        slug:
          type: string
          example: electricity
        path:
          type: string
          example: energy/electricity
    BaseNode:
      allOf:
        - $ref: '#/components/schemas/IDAndName'
        - $ref: '#/components/schemas/CreatedUpdated'
    NewActivity:
      allOf:
        - $ref: '#/components/schemas/BaseNode'
        - type: object
          properties:
            syncId:
              $ref: '#/components/schemas/SyncId'
            description:
              type: string
            quantity:
              type: number
              example: 150
            unit:
              $ref: '#/components/schemas/UnitString'
            UpstreamCO2e:
              type: string
              example: '1234'
              description: if passed, the value will be used instead of the computed value
            DownstreamCO2e:
              type: string
              example: '0.5678'
              description: if passed, the value will be used instead of the computed value
            product:
              properties:
                uuid:
                  $ref: '#/components/schemas/UUID'
                name:
                  type: string
                  example: Product Name
            scope:
              properties:
                uuid:
                  $ref: '#/components/schemas/UUID'
                name:
                  type: string
                  example: 'Scope 2: Electricity'
            taxonomy:
              $ref: '#/components/schemas/TaxonomyRef'
            org:
              properties:
                uuid:
                  $ref: '#/components/schemas/UUID'
                name:
                  type: string
                  example: Org Unit
        - $ref: '#/components/schemas/StartEndDate'
    IDAndName:
      type: object
      properties:
        uuid:
          $ref: '#/components/schemas/UUID'
        name:
          type: string
          example: Name
    CreatedUpdated:
      type: object
      properties:
        created:
          type: string
          description: ISO 8601 date
          example: '2021-01-01T00:00:00.000Z'
        updated:
          type: string
          description: ISO 8601 date
          example: '2021-01-31T23:59:59.000Z'
    SyncId:
      type: string
      description: >-
        An identifier to use when syncing data with other systems. [Read
        more](/docs/syncId)
      example: sync123
    UnitString:
      type: string
      example: kg
      description: >-
        The unit code (e.g. kg, lbs, etc.). All unit codes can be found in the
        [List Units](/api-reference/v1/unit/get) endpoint.
    UUID:
      type: string
      format: uuid
    TaxonomyRef:
      type: object
      description: A reference to a taxonomy category, including its machine-readable path.
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: Material
        path:
          type: string
          example: material
    StartEndDate:
      allOf:
        - properties:
            startDate:
              $ref: '#/components/schemas/Date'
            endDate:
              $ref: '#/components/schemas/Date'
    Date:
      type: string
      description: ISO 8601 date
      example: '2021-01-01T00:00:00.000Z'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````